from __future__ import annotations

from dataclasses import KW_ONLY, field
from typing import *  # type: ignore

import rio

from .. import components as comps

from db_classes import *

class Item(rio.Component):

    itemcode: str = ""
    def build(self) -> rio.Component:
        if 'current_item' in self.session:
            self.itemcode = self.session['current_item']
        return rio.Card(
            rio.Markdown(
                self.markdown,
                margin=2,
            )
        )

